Poggio
Docs
REST APIV2Accounts

Create or Get Account

Create a new account for the given domain, or return the existing one. Optionally triggers deep research to enrich the account with comprehensive data. Returns a 201 when an account is created, 200 if the account already exists.

POST
/v2/accounts

Authorization

HTTPBearer
AuthorizationBearer <token>

In: header

Request Body

application/json

domain*string
deep_research?boolean
Defaulttrue

Response Body

application/json

application/json

curl -X POST "https://api.poggio.io/v2/accounts" \  -H "Content-Type: application/json" \  -d '{    "domain": "string"  }'
{
  "id": "string",
  "domain": "string",
  "page_name": "string",
  "url": "string"
}
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string"
    }
  ]
}